Skip to main content
`Ctrl`+`K`

# PetscFormatConvertGetSize

Gets the length of a string needed to hold data converted with `PetscFormatConvert()` based on the format

## Synopsis

    PetscErrorCode PetscFormatConvertGetSize(const char format[], size_t *size)

No Fortran Support

## Input Parameter

- format - the PETSc format string

## Output Parameter

- size - the needed length of the new format

## See Also

`PetscFormatConvert()`, `PetscVSNPrintf()`, `PetscVFPrintf()`

## Level

developer

## Location

src/sys/fileio/mprint.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages